> ## Documentation Index
> Fetch the complete documentation index at: https://tokenterminal.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the Crypto screener dataset

> Use this endpoint to retrieve the Crypto screener dataset. You can get the whole dataset by omitting all parameters.

Metrics use the following pattern in the response body: `<metric_id>_<interval>_<aggregation>`.

Metric IDs are the same as the ones used in the `/v2/metrics` endpoint.
Intervals are `24h`, `7d`, `30d`, `90d`, `180d`, `365d`, `max`.
Aggregations  are `trend`, `change`, `avg`, `ath`, `atl`.




## OpenAPI

````yaml /api-reference/openapi.json get /v2/datasets/crypto_screener
openapi: 3.0.0
info:
  title: Token Terminal API
  termsOfService: https://tokenterminal.com/terms
  version: 2.0.0
servers:
  - url: https://api.tokenterminal.com
security:
  - bearerAuth: []
tags: []
paths:
  /v2/datasets/crypto_screener:
    get:
      tags:
        - Datasets
      summary: Get the Crypto screener dataset
      description: >
        Use this endpoint to retrieve the Crypto screener dataset. You can get
        the whole dataset by omitting all parameters.


        Metrics use the following pattern in the response body:
        `<metric_id>_<interval>_<aggregation>`.


        Metric IDs are the same as the ones used in the `/v2/metrics` endpoint.

        Intervals are `24h`, `7d`, `30d`, `90d`, `180d`, `365d`, `max`.

        Aggregations  are `trend`, `change`, `avg`, `ath`, `atl`.
      parameters:
        - name: project_ids
          in: query
          description: >
            Allows you to select one or more of the projects available in the
            dataset. When including multiple projects, separate each one with a
            comma. Example: `uniswap`.
          required: false
          explode: false
          schema:
            type: array
            items:
              type: string
          example:
            - uniswap
        - name: market_sector_ids
          in: query
          description: >
            Allows you to select one or more of the market sectors available in
            the dataset. When including multiple market sectors, separate each
            one with a comma. Example: `exchange,lending`.
          required: false
          explode: false
          schema:
            type: array
            items:
              type: string
          example:
            - exchange
        - name: order_by
          in: query
          description: |
            Allows you to select a field by which the response array is sorted.
          schema:
            type: string
            format: string
        - name: order_direction
          in: query
          description: >
            Allows you to define order direction for the field selected in
            `order_by`. If no order_direction is selected, the response defaults
            to `asc`.
          schema:
            type: string
            format: string
          example: desc
        - name: limit
          in: query
          description: >-
            Limit the number of results returned. Usage through API reference
            has max limit of 50.
          schema:
            type: number
            format: number
          example: 10
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    description: >-
                      The object containing the data for a successful response.
                      Metric columns are not shown here due to abundant amount
                      of metrics.
                    properties:
                      project_name:
                        type: string
                        description: The name of the project
                      project_id:
                        type: string
                        description: The ID of the project
                      market_sector_id:
                        type: string
                        description: The market sector's ID
                      market_sector_name:
                        type: string
                        description: The market sector's name
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: string

````